# Command: symbol

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    symbol -   read a symbol from a string

Synopsis:

    string symbol -> post any true
      false

Examples:

      (1 2 hello) symbol -> true 1 (2 hello)
      ({1 2 add}) symbol -> true /BeginProcedureSymbol (1 2 add})

Description:

    reads a symbol from a string  and
      pushes true, the extracted symbol, and the remainder
      of the string. In contrast to the function token,
      procedures are not assembled but the individual symbols
      are returned. This enables the implementation of
      alternative parsers.

Author:

    Diesmann

FirstVersion:

    100107

SeeAlso:

- token

Source:

    /opt/conda/conda-bld/nest_1510213973486/work/nest-2.14.0/lib/sli/typeinit.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative